# Class: Outlet

## M_.Outlet()

A base graphical object

## Constructor

#### new Outlet()

Implements:
  - M_.Observable

### Methods

#### create()

Extend this class to create your UI.

#### destroy()

Destroy the outlet

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

##### Returns:

Type
  jQuery

#### getEl() → {jquery}

Return jEl element. Generally the main object.

##### Returns:

the main jQuery element

Type
  jquery